#include <avr/io.h>

void USART_INIT( unsigned int baud)
{
	UBRRH = (unsigned int) (baud >> 8);
	UBRRL = (unsigned int) baud;
	UCSRB = (1<<RXEN) | (1<<TXEN) | (1<<RXCIE);
	UCSRC = (1<<URSEL) | (1<<USBS) | (3<<UCSZ0);
}

void USART_Transmit(unsigned char data)
{
	while ( !(UCSRA & (1<<UDRE)))
	;
	UDR = data;
}

void USART_Clear_Screen(void)
{
	USART_Transmit(0x1B);
	USART_Transmit(0x5B);
	USART_Transmit(0x32);
	USART_Transmit(0x4A);
}

void USART_new_line(void)
{
  	USART_Transmit(0x0A);
	USART_Transmit(0x0D); 
}
	
void USART_Transmit_string(char* string)
{
	/*
	 * Author:       Jochen Rurlaender
     * Version:      1.0
     * Datum  :      18.03.2004
     * Beschreibung:
     * Dies Funktion sendet einen Nullterminirenden String an das USART
     * Position dar.
     */
 
   	while(*string)
  	{
  		USART_Transmit(*string++);
  	}
}

unsigned char USART_Receive(void)
{
    /* Wait for data to be received */
    while( !(UCSRA & (1<<RXC)) )
    ;
    
    /* Get and return recived data from Buffer */
    return UDR;    
}



